%define name rmd160
%define version 0
%define release 1mdk

Summary: RIPEMD-160 check sum program
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}.tar.bz2
Patch:rmd160-manpage.patch.bz2
License: BSD-like
Group: File tools
Url: http://www.nic.com/~cheah/ripmd160.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This message digest program works like a checksum program. It takes a
file and produces a 20 byte fingerprint of that file. The RIPEMD-160
algorithm that it uses is constructed in such a way that the chances
of two different files having the same fingerprint is extremely small.
You can use this program to compare files and to verify that files
haven't been altered.

%prep
%setup -q -n %name
%patch -p1

%build
make CFLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -D %name %buildroot%_bindir/%name
install -m 644 -D %name.1 %buildroot%_mandir/man1/%name.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/%name
%_mandir/man1/%name.1*

%changelog
* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0-1mdk
- initial package
